$(function() {

});
//关闭frame
function closeFrame(name) {
	api.closeFrame({
		name : name
	});
}

//合并对象
function extend(destination, source) {
	for (var property in source)
	destination[property] = source[property];
	return destination;
}

//打开frame
function openFrame(name, param) {
	var pageParam = api.pageParam;
	if (param && param != null) {
		pageParam = extend(pageParam, param);
	}
	api.openFrame({
		name : name,
		url : './' + name + '.html',
		rect : {
			x : 70,
			y : api.pageParam.hh,
			w : 'auto',
			h : 'auto'
		},
		animation : {
			type : "movein",
			subType : "from_right",
			duration : 300
		},
		pageParam : pageParam,
		bounces : false,
		delay : 200
	});
	api.execScript({
	    name:'root',
	    script: 'bringToFront();'
    });
	
}

function goback() {
	//改变index
	api.execScript({
		name : 'root',
		script : 'updateFooter();'
	});

	api.closeWin({
		name : 'carbrand'
	});
}

function switch4Client(frameIndex) {
	var navItemClass = "navbar-item2";
	switch (frameIndex) {       
		case 0: {
			$api.byId('navbar-item-recommend').className = navItemClass + " " + "navbar-item-active";
			$api.byId('navbar-item-favorite').className = navItemClass;
			$api.byId('navbar-item-fast').className = navItemClass;
			if ($api.byId('navbar-item-fitme')) {
				$api.byId('navbar-item-fitme').className = navItemClass;
			}
			var num = (api.winWidth / 3) * frameIndex;
			closeFrame("vin_body");
			closeFrame("carbrand_body");
			closeFrame("fastCarbrand_body");
			openVin();
			break;
		}
		case 1: {
			$api.byId('navbar-item-recommend').className = navItemClass;
			$api.byId('navbar-item-fast').className = navItemClass;
			$api.byId('navbar-item-favorite').className = navItemClass + " " + "navbar-item-active";
			if ($api.byId('navbar-item-fitme')) {
				$api.byId('navbar-item-fitme').className = navItemClass;
			}
			var num = (api.winWidth / 3) * frameIndex;
			closeFrame("vin_body");
			closeFrame("carbrand_body");
			closeFrame("fastCarbrand_body");
			openBrand();
			break;
		}
		case 2: {
			$api.byId('navbar-item-recommend').className = navItemClass;
			$api.byId('navbar-item-favorite').className = navItemClass;
			$api.byId('navbar-item-fast').className = navItemClass + " " + "navbar-item-active";
			if ($api.byId('navbar-item-fitme')) {
				$api.byId('navbar-item-fitme').className = navItemClass;
			}
			var num = (api.winWidth / 3) * frameIndex;
			closeFrame("vin_body");
			closeFrame("carbrand_body");
			closeFrame("fastCarbrand_body");
			openFastBrand();
			break;
		}
		default:
			break;
	}
}

function setFrameGroupIndex(frameIndex) {
	//关闭蒙版
	api.execScript({
		frameName : 'carbrand_body',
		script : '$(".pre_inqu_mb").hide();'
	});

	closeFrame('carsetChild_frame');
	closeFrame('carGroup_frame');
	closeFrame('carset_frame');
	setFrameGroupStatus(frameIndex);
}

function setFrameGroupStatus(frameIndex) {
	switch4Client(frameIndex);
}

var height = 0;
//打开frame
function openVin() {
	var pageParamValue = api.pageParam;
	pageParamValue.hh = height;
	api.openFrame({
		name : 'vin_body',
		url : './vin_body.html',
		rect : {
			x : 0,
			y : height,
			w : 'auto',
			h : 'auto'
		},
		animation : {
			type : "movein",
			subType : "from_right",
			duration : 300
		},
		pageParam : pageParamValue,
		bounces : false,
		delay : 200
	});
	api.execScript({
	    name:'root',
	    script: 'bringToFront();'
    });
}

//打开frame
function openBrand() {
	var pageParamValue = api.pageParam;
	pageParamValue.hh = height;
	api.openFrame({
		name : 'carbrand_body',
		url : './carbrand_body.html',
		rect : {
			x : 0,
			y : height,
			w : 'auto',
			h : 'auto'
		},
		animation : {
			type : "movein",
			subType : "from_left",
			duration : 300
		},
		pageParam :pageParamValue,
		bounces : false,
		delay : 200
	});
	
	api.execScript({
	    name:'root',
	    script: 'bringToFront();'
    });
}

//打开快速定型页面
function openFastBrand() {
	var pageParamValue = api.pageParam;
	pageParamValue.hh = height;
	api.openFrame({
		name : 'fastCarbrand_body',
		url : './fastCarbrand_body.html',
		rect : {
			x : 0,
			y : height,
			w : 'auto',
			h : 'auto'
		},
		animation : {
			type : "movein",
			subType : "from_left",
			duration : 300
		},
		pageParam :pageParamValue,
		bounces : false,
		delay : 200
	});
	
	api.execScript({
	    name:'root',
	    script: 'bringToFront();'
    });
}

//选定后去询价
function toSeekParts(id, name) {
	
	var paramObj = api.pageParam;
	
	paramObj.vehicleId = id;
	paramObj.vehicleName = name;
	paramObj.carsetChildId = id;
	paramObj.carsetChildName = name;
	paramObj.vin = "";
	
	if(api.pageParam.from=="cgxj"){
		api.execScript({
	       	name:'cgxj',
	       	frameName:'cgxj_body',
	        script: 'setVehicle("'+id+'","'+name+'");'
        });
        
        api.execScript({
	       	name:'cgxj',
	       	frameName:'cgxj_body',
	        script: 'setCarInfo(\''+paramObj.brandName+'\',\''+paramObj.brandId+'\',\''+paramObj.carsetName+'\',\''+paramObj.carsetId+'\',\''+paramObj.carGroupName+'\',\''+paramObj.carGroupId+'\',\''+paramObj.carsetChildName+'\',\''+paramObj.carsetChildId+'\',\''+paramObj.vin+'\');'
        });
	}
	else{	
		api.openWin({
			name : 'cgxj',
			url : '../cgxj/cgxj.html',
			pageParam : paramObj,
			slidBackEnabled:false,
			animation : {
				type : "movein",
				subType : "from_left",
				duration : 300
			}
	
		});
	}
	
	
	setTimeout("api.closeWin({name : 'carbrand'});",2000);

}

//选定后去询价
function brandToSeekParts(id, name) {
	
	var paramObj = api.pageParam;
	
	paramObj.brandId = id;
	paramObj.brandName = name;
	paramObj.carsetName = name;
	paramObj.carsetId = id;
	paramObj.carGroupName ="快速询价";
	paramObj.carGroupId = "快速询价";
	paramObj.vehicleId = id;
	paramObj.vehicleName = name;
	paramObj.carsetChildId = id;
	paramObj.carsetChildName = name;
	paramObj.vin = "";
	
	if(api.pageParam.from=="cgxj"){
		api.execScript({
	       	name:'cgxj',
	       	frameName:'cgxj_body',
	        script: 'setVehicle("'+id+'","'+name+'");'
        });
        
        api.execScript({
	       	name:'cgxj',
	       	frameName:'cgxj_body',
	        script: 'setCarInfo(\''+paramObj.brandName+'\',\''+paramObj.brandId+'\',\''+paramObj.carsetName+'\',\''+paramObj.carsetId+'\',\''+paramObj.carGroupName+'\',\''+paramObj.carGroupId+'\',\''+paramObj.carsetChildName+'\',\''+paramObj.carsetChildId+'\',\''+paramObj.vin+'\');'
        });
	}
	else{	
		api.openWin({
			name : 'cgxj',
			url : '../cgxj/cgxj.html',
			pageParam : paramObj,
			slidBackEnabled:false,
			animation : {
				type : "movein",
				subType : "from_left",
				duration : 300
			}
	
		});
	}
	
	
	setTimeout("api.closeWin({name : 'carbrand'});",2000);

}

function toSeekPartsFromVin(vehicleId,vehicleName,brandName,brandId,familyName,familyId,groupName,groupId,vin){
	
	
	var paramObj = new Object();
	paramObj.vehicleId = vehicleId;
	paramObj.vehicleName = vehicleName;
	paramObj.carsetChildId = vehicleId;
	paramObj.carsetChildName = vehicleName;
	
	paramObj.brandId = brandId;
	paramObj.brandName = brandName;
	
	paramObj.carsetId = familyId;
	paramObj.carsetName = familyName;
	
	paramObj.carGroupId = groupId;
	paramObj.carGroupName = groupName;
	
	paramObj.vin = vin;
	
	
	if(api.pageParam.from=="cgxj"){
		api.execScript({
	       	name:'cgxj',
	       	frameName:'cgxj_body',
	        script: 'setVehicle("'+vehicleId+'","'+vehicleName+'");'
        });
        api.execScript({
	       	name:'cgxj',
	       	frameName:'cgxj_body',
	        script: 'setCarInfo(\''+paramObj.brandName+'\',\''+paramObj.brandId+'\',\''+paramObj.carsetName+'\',\''+paramObj.carsetId+'\',\''+paramObj.carGroupName+'\',\''+paramObj.carGroupId+'\',\''+paramObj.carsetChildName+'\',\''+paramObj.carsetChildId+'\',\''+paramObj.vin+'\');'
        });
	}
	else{	
		api.openWin({
			name : 'cgxj',
			url : '../cgxj/cgxj.html',
			pageParam : paramObj,
			slidBackEnabled:false,
			animation : {
				type : "movein",
				subType : "from_left",
				duration : 300
			}
	
		});
	}
	
	
	setTimeout("api.closeWin({name : 'carbrand'});",2000);
	
}
