//清空搜索框
function clearSearch() {
	document.getElementById("vinSearch").value = "";
	document.getElementById("cleatBtn").style.display = "none";
}

//模糊
function keyPree(input) {
	var seachWord = input.value;
	seachWord = seachWord.replace(/\s+/g,"");
	if (seachWord.length == 17) {
		search(seachWord);
	}
	if (input.value != "") {
		document.getElementById("cleatBtn").style.display = "block";
	} else {
		document.getElementById("cleatBtn").style.display = "none";
	}
}

//点击搜索
function toSearch() {
	search(document.getElementById("vinSearch").value);
}

//vin查询
function search(searchWord) {
	if (searchWord.length != 17) {
		api.toast({
			"msg" : "请输入正确的VIN码。",
			"duration" : 2000,
			"location" : "middle"
		});
		return;
	}
	Car_ShowLoading();
	document.getElementById("carsetListDiv").innerHTML = "";
	var ust = $api.getStorage("userToken");
	var param = '{"code": "1200","data": {"token":"' + ust + '","vin":"' + searchWord + '"}}")';
	api.ajax({
		url : ajaxURL,
		method : 'post',
		timeout : 30,
		dataType : 'text',
		returnAll : false,
		data : {
			values : {
				param : param
			}
		}
	}, function(ret, err) {
		Car_CloseLoading();
		if (ret) {
			var json = JSON.parse(ret);
			if (json) {
				if (json.exceptionCode == "0000") {
					var data = JSON.parse(json.responseData);
					var carSetInnerHtml = "";
					for (var i = 0; i < data.length; i++) {
						var carItem = '<div class="search_cx_box_e" onclick="selectCarset(\'' + data[i].brandId + '\',\'' + data[i].vehicleId + '\',this,\'' + data[i].vehicleName + '\',\'' + data[i].brandName + '\')">';
						carItem += '<p>';
						carItem += data[i].vehicleName;
						carItem += '</p>';
						carItem += '</div>';
						carSetInnerHtml += carItem;
					}
					document.getElementById("carsetListDiv").innerHTML = carSetInnerHtml;
					document.getElementById("carsetListDiv").style.display = "block";
				} else {
					api.alert({
						"msg" : json.exceptionContent
					});
				}
			} else {
				api.alert({
					"msg" : "JOSN解析错误"
				});
			}
		} else {
			api.alert({
				"msg" : "网络错误"
			});
		}
	});
}

//定义一个变量用于判断是否是删除历史记录
var historyOperatoerFlag = false;
function selectCarset(brandId, carsetId, div, carsetName,brandName) {
	if (historyOperatoerFlag) {
		return;
	}
	if (carsetId == null || brandId == null) {
		return;
	}
	saveCarsetChildHistory(carsetId, carsetName, brandId,brandName);
	Car_ShowLoading();
	document.getElementById("pjsListDiv").innerHTML = "";
	$(".search_cx_box_e").removeClass("bj_color");
	$(div).addClass("bj_color");
	var ust = $api.getStorage("userToken");
	var provinceName = $api.getStorage("userLocation");
	var provinceBm = $api.getStorage("userLocationBm");
	var param = '{"code": "1013","data": {"isQuality":"","provinceFlag":"",\"location\":{\"provinceName\":\"'+provinceName+'\",\"province\":\"\",\"provinceBm\":\"'+provinceBm+'\",\"city\":\"\"},"token":"' + ust + '","brandInfo":{"ppid":"' + brandId + '","ppbm":"","ppmc":"","spelling":""}}}';
	api.ajax({
		url : ajaxURL,
		method : 'post',
		timeout : 30,
		dataType : 'text',
		returnAll : false,
		data : {
			values : {
				param : param
			}
		}
	}, function(ret, err) {
		Car_CloseLoading();
		if (ret) {
			var json = JSON.parse(ret);
			if (json) {
				if (json.exceptionCode == "0000") {
					var data = JSON.parse(json.responseData);
					var txt = "";
					for (var i = 0; i < data.length; i++) {
						txt += '<div class="search_sj_box_e">';
						txt += '	<div class="search_sj_box_e_t">';
						txt += '		<img class="search_sj_box_e_t_l" src="images/pic7_03.jpg">';
						txt += '		<div class="search_sj_box_e_t_r">';
						txt += '			<p>';
						var imgStr = '<img style="width:15px;margin-right:5px;" src="../../image/icon_user_bzj_gray.png">';
						if(data[i].guaranteeMoney=='1'){
							imgStr = '<img style="width:15px;margin-right:5px;" src="../../image/icon_user_bzj.png">';
						}
						txt += imgStr+data[i].companyName;
						txt += '			</p>';
						txt += '			<p>';
						txt += '				主营：' + data[i].mainbrand + '.';
						txt += '			</p>';
						txt += '			<p>';
						txt += '				地址：' + data[i].address + '';
						txt += '			</p>';
						txt += '		</div>';
						txt += '	</div>';
						txt += '	<div class="clear"></div>';
						txt += '	<div class="search_sj_box_e_b">';
						txt += '		<div class="search_sj_box_e_b_l"  onclick="toSeek(\'' + brandName + '\',\''+data[i].id+'\',\''+data[i].province+'\',\''+data[i].companyName+'\',\''+data[i].phone+'\',\''+data[i].telephone+'\')">';
						txt += '			<i class="icon iconfont search_icon">&#xe604;</i>';
						txt += '			询价购买';
						txt += '		</div>';
						txt += '		<div class="search_sj_box_e_b_c">';
						txt += '		</div>';
						txt += '		<div class="search_sj_box_e_b_r" onclick="callPhone(\'' + data[i].telePhone + '\',\'' + data[i].phone + '\',this)">';
						txt += '			<i class="icon iconfont search_icon">&#xe612;</i>';
						txt += '			一键拨打';
						txt += '		</div>';
						txt += '	</div>';
						txt += '	<div class="clear"></div>';
						txt += '</div>';
					}
					$('#pjsListDiv').html(txt);
					$('#pjsListDiv').show();
				} else {
					api.alert({
						"msg" : json.exceptionContent
					});
				}
			} else {
				api.alert({
					"msg" : "JOSN解析错误"
				});
			}
		} else {
			api.alert({
				"msg" : "网络错误"
			});
		}
	});
}

//给配件商打电话
function callPhone(telePhone, phone, div) {
	if (phone && phone != "") {
		phoneNumber = phone;
	} else if (telePhone && telePhone != "") {
		phoneNumber = telePhone;
	}
	if (phoneNumber && phoneNumber != "") {
		location.href = "tel:" + phoneNumber;
	}
}

//存储历史车型
function saveCarsetChildHistory(carId, carName, brandId,brandName) {
	if (!carId || carId == "" || carId == "null") {
		return;
	}
	var carsetChildHistory = $api.getStorage("carsetChildHistory") == null ? new Array() : $api.getStorage("carsetChildHistory");
	if (carsetChildHistory.length >= 5) {
		var obj = new Object();
		obj.id = carId;
		obj.name = carName;
		obj.brandId = brandId;
		obj.brandName = brandName;
		var isNew = true;

		for (var i = 0; i < carsetChildHistory.length; i++) {
			if (carsetChildHistory[i].id == carId) {
				isNew = false;
				carsetChildHistory.splice(i, 1);
				carsetChildHistory.push(obj);
			}
		}

		if (isNew) {
			carsetChildHistory.splice(0, 1);
			carsetChildHistory.push(obj);
		}
	} else {
		var obj = new Object();
		obj.id = carId;
		obj.name = carName;
		obj.brandId = brandId;
		obj.brandName = brandName;

		var isNew = true;
		for (var i = 0; i < carsetChildHistory.length; i++) {
			if (carsetChildHistory[i].id == carId) {
				isNew = false;
				carsetChildHistory.splice(i, 1);
				carsetChildHistory.push(obj);
			}
		}

		if (isNew) {
			carsetChildHistory.push(obj);
		}
	}

	$api.setStorage("carsetChildHistory", carsetChildHistory);
}

//删除历史记录
function deleteHistory() {
	isShowDelete(true);
}

function isShowDelete(isShow) {
	if (isShow) {
		document.getElementById("deleteBtn").style.display = "none";
		document.getElementById("cancelBtn").style.display = "block";
		document.getElementById("deleteHistoryDiv").style.visibility = "visible";
		checkBoxSpanArr = document.getElementsByName("checkBoxSpan");
		for (var i = 0; i < checkBoxSpanArr.length; i++) {
			checkBoxSpanArr[i].style.display = "block";
		}
		historyOperatoerFlag = true;
	} else {
		document.getElementById("deleteBtn").style.display = "block";
		document.getElementById("cancelBtn").style.display = "none";
		document.getElementById("deleteHistoryDiv").style.visibility = "hidden";
		checkBoxSpanArr = document.getElementsByName("checkBoxSpan");
		for (var i = 0; i < checkBoxSpanArr.length; i++) {
			checkBoxSpanArr[i].style.display = "none";
			checkBoxSpanArr[i].innerHTML = '<i class="icon iconfont zxanniu1" name="checkBoxI" onclick="historyChecked(this)">&#xe601;</i>';
		}
		historyOperatoerFlag = false;
	}

}

//单选按钮
function historyChecked(i) {
	if (i.className.indexOf("zxanniu1") > -1) {
		i.className = "icon iconfont zxanniu2";
		i.innerHTML = "&#xe603;";
	} else {
		i.className = "icon iconfont zxanniu1";
		i.innerHTML = "&#xe601;";
	}

	if (isAllChecked()) {
		document.getElementById("allCheckBtn").innerHTML = "全选";
	}
}

//全选
function allCheck(div) {
	var iTag = "";
	var iArr = $("span[name='checkBoxSpan']").find("i");
	if (div.innerHTML.trim() == "全选") {
		//		iTag = '<i name="checkBoxI" onclick="historyChecked(this)" class="icon iconfont zxanniu2">&#xe603;</i>';
		for (var i = 0; i < iArr.length; i++) {
			iArr[i].innerHTML = "&#xe603;";
			iArr[i].className = "icon iconfont zxanniu2";
		}

		div.innerHTML = "取消";
	} else {
		//		iTag = '<i name="checkBoxI" onclick="historyChecked(this)" class="icon iconfont zxanniu1">&#xe601;</i>';
		for (var i = 0; i < iArr.length; i++) {
			iArr[i].innerHTML = "&#xe601;";
			iArr[i].className = "icon iconfont zxanniu1";
		}
		div.innerHTML = "全选";
	}

}

//验证是否全选
function isAllChecked() {
	var isAllCheck = true;
	checkBoxSpanArr = document.getElementsByName("checkBoxSpan");
	for (var i = 0; i < checkBoxSpanArr.length; i++) {
		if (checkBoxSpanArr[i].innerHTML.indexOf("xe603") > -1) {
			isAllCheck = false;
			return;
		}
	}
	return isAllCheck;
}

//执行删除操作
function doDelete() {
	Car_ShowLoading();
	checkBoxSpanArr = document.getElementsByName("checkBoxSpan");

	//搜索记录
	var carsetChildHistory = $api.getStorage("carsetChildHistory");
	var newArray = new Array();
	//判断是否未选择
	for (var i = 0; i < checkBoxSpanArr.length; i++) {
		if ($(checkBoxSpanArr[i]).find("i").attr("class").indexOf("zxanniu1") > -1) {
			newArray.push(carsetChildHistory[i]);
		}
	}
	if (newArray.length == 0) {
		newArray = null;
	}
	//设置新的搜索记录
	$api.setStorage("carsetChildHistory", newArray);
	//关闭搜索记录操作
	isShowDelete(false);
	setTimeout("Car_CloseLoading();", 150);

	//重新初始化搜索记录
	setTimeout("initSearchHistory();", 300);
}

//初始化搜索记录
function initSearchHistory() {
	$('#pjsListDiv').html("");
	$('#pjsListDiv').hide();
	//搜索记录
	checkBoxSpanArr = document.getElementsByName("checkBoxSpan");
	//搜索记录
	var carsetChildHistory = $api.getStorage("carsetChildHistory");
	//				alert(carsetChildHistory);
	if (carsetChildHistory && carsetChildHistory != "") {
		document.getElementById("historyList").style.display = "block";
		var ret = "";
		for (var i = 0; i < carsetChildHistory.length; i++) {
			ret += '<div class="search_cx_box_e" onclick="selectCarset(\'' + carsetChildHistory[i].brandId + '\',\'' + carsetChildHistory[i].id + '\',this,\'' + carsetChildHistory[i].name + '\',\'' + carsetChildHistory[i].brandName + '\')">';
			ret += '	<span name="checkBoxSpan">';
			ret += '		<i name="checkBoxI" class="icon iconfont zxanniu1" onclick="historyChecked(this)">&#xe601;</i>';
			ret += '		<input type="hidden" value="' + carsetChildHistory[i].id + '"/>';
			ret += '	</span>';
			ret += '	<p>';
			ret += carsetChildHistory[i].name
			ret += '	</p>';
			ret += '</div>';
		}
		document.getElementById("historyList").innerHTML = ret;
	} else {
		document.getElementById("historyList").innerHTML = "";
	}
}

//识别vin码
function recognizeVin() {
	photo('camera');
}

function photo(source) {
	api.getPicture({
		sourceType : source,
		encodingType : 'jpg',
		mediaValue : 'pic',
		destinationType : 'url',
		allowEdit : true,
		targetWidth : 640,
		targetHeight : 640,
		saveToPhotoAlbum : true
	}, function(ret, err) {
		if (ret) {

			if (ret.data == "") {
				return;
			}
			//驾驶证拍照请求vin信息
			requestVin(ret.data);

		} else {
			api.alert({
				msg : err.msg
			});
		};
	});
}

//请求vin识别接口
function requestVin(imgData) {
	//
	Car_ShowLoading();
	var ust = $api.getStorage("userToken");
	var param = '{"code": "1205","data": {"token":"' + ust + '"}}';
	api.ajax({
		url : ajaxURL,
		method : 'post',
		timeout : 30,
		dataType : 'text',
		returnAll : false,
		data : {
			values : {
				param : param
			},
			files : {
				files : imgData
			}
		}
	}, function(ret, err) {
		Car_CloseLoading();
		if (ret) {
			var json = JSON.parse(ret);
			if (json) {
				if (json.exceptionCode == "0000") {
					var data = JSON.parse(json.responseData);

					var result = data.result;
					document.getElementById("vinSearch").value = result.Vin;
					if (document.getElementById("vinSearch").value.trim() != "") {
						toSearch();
					} else {
						api.toast({
							"msg" : "匹配失败,请重试。",
							"duration" : 2000,
							"location" : "middle"
						});
					}
				} else {
					api.alert({
						"msg" : json.exceptionContent
					});
				}
			} else {
				api.alert({
					"msg" : "JOSN解析错误"
				});
			}
		} else {
			api.alert({
				"msg" : "网络错误"
			});
		}
	});
}

//去询价购买
function toSeek(name,pjsId,pjsProvince,pjsCompanyName,pjsPhone,pjsTelephone) {
	//通过localStorage记录配件商信息
	$api.setStorage("selectedPjsId",pjsId);
	$api.setStorage("selectedPjsCompanyName",pjsCompanyName);
	$api.setStorage("selectedPjsPhone",pjsPhone);
	$api.setStorage("selectedPjsTelephone",pjsTelephone);
	$api.setStorage("selectedPjsProvince",pjsProvince);
	
	
	api.openWin({
		name : 'carbrand',
		url : '../carset/carbrand.html',
		pageParam : {vehicleName:name,from:"pjsList"}
	});
}

