function Car_openNewWindow(name, theUrl, param) {
	//alert('name'+name);
	api.openWin({
		name : name,
		url : theUrl,
		pageParam : param,
		//reload:ifreload
		bounces : true,
		slidBackEnabled : false,
		vScrollBarEnabled : true
		//opaque: false
	});
}

function Car_openNewWindowFromBottom(name, theUrl, param){
	//alert('name'+name);
	api.openWin({
		name : name,
		url : theUrl,
		pageParam : param,
		//reload:ifreload
		bounces : true,
		slidBackEnabled : false,
		vScrollBarEnabled : true,
		animation : {
			type : "movein",
			subType : "from_bottom",
			duration : 300
		}
		//opaque: false
	});
}

function Car_openNewWindowReload(name, theUrl, param) {
	//alert('name'+name);
	api.openWin({
		name : name,
		url : theUrl,
		pageParam : param,
		reload : true
		//bounces: false,
		//opaque: false
	});
}

//拨打电话并且记录
function Car_showTel(ut, receiverId, str, from) {
	if (!str) {
		return " ";
	}
	var ret = '<div class="fr" style="width:74%;">';
	var strs = new Array();
	strs = str.split("|");
	for ( i = 0; i < strs.length; i++) {
		ret += '<a style="color:orange;" href="tel:' + strs[i] + '" onclick="Car_addPhoneCall(\'' + ut + '\',\'' + receiverId + '\',\'' + strs[i] + '\',\'' + from + '\')">' + strs[i] + '</a> ';
		//分割后的字符输出
	}
	ret += '</div>';
	return ret;
}

function Car_addPhoneCall(ut, receiverId, phoneNum, from) {
	api.ajax({
		url : 'http://www.9i5c.com/auth/phonecalladd',
		method : 'post',
		timeout : 30,
		dataType : 'text',
		returnAll : false,
		data : {
			values : {
				ut : ut,
				receid : receiverId,
				tel : phoneNum,
				from : from
			}
			//files: {file: 'fs://a.gif'}
		}
	}, function(ret, err) {
		//				alert(ret);
	});

}

function Car_FixIos7(div) {
	if (api.systemType == "ios") {
		var ver = api.systemVersion;
		ver = ver.substr(0, ver.indexOf(".") + 1);
		if (ver >= 7)
			div.style.display = "inline";
	} else
		return;
}

//在图片的右上角画数字角标
function Car_DrawBadge(imgUrl, canvasId, num) {
	var beauty = new Image();
	//beauty.src = "http://images.cnblogs.com/cnblogs_com/html5test/359114/r_test.jpg";
	//beauty.src="./image/bottombtn0101.png";
	beauty.src = imgUrl;
	//alert('src='+beauty.src)
	if (beauty.complete) {
		//alert('begin draw');
		Car_drawBadgeImg(beauty, canvasId, num);
	} else {
		beauty.onload = function() {
			Car_drawBadgeImg(beauty, canvasId, num);
		};
		beauty.onerror = function(error) {
			window.alert('图片加载失败，请重试' + error);
		};
	}
}//load

function Car_drawBadgeImg(beauty, canvasId, num) {
	var mycv = document.getElementById(canvasId);
	mycv.width = beauty.width;
	//alert('width='+beauty.width);
	mycv.height = beauty.height;
	var myctx = mycv.getContext("2d");
	//alert('draw2');
	myctx.drawImage(beauty, 0, 0);
	Car_drawBadgeNumber(num);
}

function Car_drawBadgeNumber(num) {
	// draw a circle
	var canvas = document.getElementById('my_canvas'), ctx = canvas.getContext('2d');
	ctx.beginPath();
	var length = canvas.width;
	//alert('canvas width='+length);
	if (length > canvas.height)
		length = canvas.height;
	var size = 0.33;
	// the circle's size
	var radius = length * size / 2;
	ctx.arc(canvas.width - radius, radius, radius, 0, Math.PI * 2, true);
	ctx.fillStyle = '#FF0000';
	ctx.fill();

	// draw a '1'
	ctx.font = 'Bold ' + radius * 2 + 'px Arial';
	ctx.textAlign = 'left';
	ctx.fillStyle = '#FFFFFF';
	if (num < 10)
		ctx.fillText(num, canvas.width - 1.6 * radius, 1.7 * radius);
	else
		ctx.fillText(num, canvas.width - 1.6 * radius, 1.7 * radius, 1.3 * radius);

	// generate DataURI
	/* var strDataURI = canvas.toDataURL("image/png");
	 var save_tag = document.getElementById('save_img');
	 save_tag.href = strDataURI;
	 save_tag.download = 'one_message.png';*/
}

function Car_checkAll(name) {
	var el = document.getElementsByName(name);
	//alert(name);
	//alert('length='+length);
	//var el=name;
	var len = el.length;
	for (var i = 1; i < len; i++) {
		if ((el[i].type == "checkbox") && (el[i].name == name)) {
			if (el[0].checked == true)
				el[i].checked = true;
			else
				el[i].checked = false;
		}
	}
}

//loadding窗口初始化
function Car_initLoading(url) {
	var body = document.getElementsByTagName("body")[0];
	var ret = "";
	ret += "<section id='loading' style='position:fixed;margin:auto;padding:0px;left:42%;top:35%;display:none;overflow:hidden;z-index:100;width:16%;height:auto;opacity:0.5;'>";
	if (!(url == "" || url == null)) {
		ret += "<center><img style='width:100%' src = '" + url + "'/></center>"
	} else {
		ret += "<center><img style='width:100%' src = '../../image/loading_chelun.gif'/></center>";
	}
	ret += "</section>";
	body.innerHTML += ret;
}

//销毁loading对象
function Car_destroyLoading() {
	var loading = document.getElementById("loading");
	if (loading.parentNode && loading) {
		loading.parentNode.removeChild(loading);
	}
}

//显示loading界面
function Car_ShowLoading() {
	var loading = document.getElementById("loading");
	if (loading) {
		loading.style.display = "block";
	}
}

//关闭loading界面
function Car_CloseLoading() {
	var loading = document.getElementById("loading");
	if (loading) {
		loading.style.display = "none";
	}
}

//将div中的word词标红，用于搜索
function Car_showSearchText(str, word) {
	//var str=document.getElementById("div").innerHTML;
	//	var ss=new RegExp(word,"gi");
	var wordArr = word.split('|');
	if (wordArr && wordArr.length > 0) {
		var s = str;
		for (var i = 0; i < wordArr.length; i++) {
			var s2 = "<font style=\"color:red\">" + wordArr[i] + "</font>";
			s = s.replace(wordArr[i], s2);
		}
		return s;
	} else {
		var s = str;
		var s2 = "<font style=\"color:red\">" + word + "</font>";
		return s.replace(word, s2);
	}
}

//确认是否拨打电话
function Car_confirmCall(fid, userMoblie, from) {
	var extentionNum = Car_getExtNum(fid);
	api.confirm({
		msg : "您要拨打的分机号是" + "\"" + extentionNum + "\",如果您的手机不支持直拨分机，请选择回拨。",
		buttons : ['直接拨号', '回拨', '取消']
	}, function(ret, err) {
		if (ret.buttonIndex == 2) {
			Car_call400(fid, userMoblie, from);
		} else if (ret.buttonIndex == 1) {
			//  					alert("123");
			location.href = "tel:4006777066," + extentionNum;
		} else
			return;
	});

}

//拨打400电话
function Car_call400(fid, userMoblie, from) {
	//经销商分机号
	Car_ShowLoading();
	var extentionNum = Car_getExtNum(fid);

	api.ajax({
		//		    url: 'http://www.9i5c.com/service/myhotword',
		url : 'http://ivoice.ccic2.com/interface/entrance/OpenInterfaceEntrance',
		method : 'post',
		timeout : 30,
		dataType : 'text',
		returnAll : false,
		data : {
			values : {
				interfaceType : "webCall",
				enterpriseId : "3002789",
				userName : "admin",
				pwd : "97e45c32a05f315993f56c22070e9bea",
				customerNumber : userMoblie,
				paramNames : "extension",
				paramTypes : "1",
				extension : extentionNum,
				sync : "1",
				ivrId : "35"
			}
			//files: {file: 'fs://a.gif'}
		}
	}, function(rets, err) {
		Car_CloseLoading();
		var ut = $api.getStorage("userToken");
		Car_addPhoneCall(ut, fid, "4006777066," + extentionNum, from);
	});
}

function Car_getExtNum(fid) {
	var extentionNum = "";
	if (parseInt(fid) > 0 && parseInt(fid) < 10) {
		extentionNum = "000" + fid;
	} else if (parseInt(fid) > 10 && parseInt(fid) < 100) {
		extentionNum = "00" + fid;
	} else if (parseInt(fid) > 100 && parseInt(fid) < 1000) {
		extentionNum = "0" + fid;
	} else if (parseInt(fid) > 1000 && parseInt(fid) < 10000) {
		extentionNum = "" + fid;
	}
	return extentionNum;
}

function Car_shopOrderStatus(status) {
	var txt = "";
	//alert('status='+status);
	switch(status) {
		case "0":
			txt = "未支付";
			break;
		case "1":
			txt = "已支付";
			break;
		case "2":
			txt = "订单处理中";
			break;
		case "3":
			txt = "配件已送到物流站";
			break;
		case "4":
			txt = "订单已发货";
			break;
		case "5":
			txt = "已完成";
	}
	//alert('txt='+txt);
	return txt;

}

function Car_open_login_window() {
	api.openWin({
		name : 'login',
		url : '../login/login.html',
		rect : {
			x : 0,
			y : 0,
			w : 'auto',
			h : 'auto'
		},
		bounces : false,
		delay : 200
	});
}

function Car_confirmLogin() {
	var userToken = $api.getStorage("userToken");
	if (userToken == "" || userToken == null) {
		api.execScript({
			name : 'root',
			script : 'updateFooter("0");'
		});

		var dialogBox = api.require('dialogBox');
		dialogBox.alert({
			texts : {
				title : '确认',
				content : '您是游客状态,是否登录?',
				leftBtnTitle : '取消',
				rightBtnTitle : '登录'
			},
			styles : {
				bg : '#fff',
				w : 300,
				title : {
					marginT : 20,
					icon : 'widget://res/gou.png',
					iconSize : 20,
					titleSize : 14,
					titleColor : '#000'
				},
				content : {
					color : '#000',
					size : 14
				},
				left : {
					marginB : 7,
					marginL : 20,
					w : 130,
					h : 35,
					corner : 2,
					bg : '#fff',
					size : 12
				},
				right : {
					marginB : 7,
					marginL : 10,
					w : 130,
					h : 35,
					corner : 2,
					bg : '#fff',
					size : 12
				}
			}
		}, function(ret) {
			if(ret){
				var dialogBox = api.require('dialogBox');
				dialogBox.close({dialogName : 'alert'});
				if (ret.eventType == 'left') {
					dialogBox.close({dialogName : 'alert'});
					return false;
				} else {
					dialogBox.close({dialogName : 'alert'});
					Car_open_login_window();
					return true;
				}
			}
		});
//		api.confirm({
//			msg : "您还没有登录,请您登录",
//			buttons : ['确定', '取消']
//		}, function(ret, err) {
//			if (ret.buttonIndex == 1) {
//				Car_open_login_window();
//				return true;
//			} else {
//				return false;
//			}
//		});

	} else {
		return true;
	}
}

//验证用户审核状态
function Car_confirm_userShbz(closeWinName) {
	Car_ShowLoading();
	var ust = $api.getStorage("userToken");
	var param = '{"code": "0004","data": {"token":"' + ust + '"}}';
	api.ajax({
		url : ajaxURL,
		method : 'post',
		timeout : 30,
		dataType : 'text',
		returnAll : false,
		data : {
			values : {
				param : param
			}
		}
	}, function(ret, err) {
		Car_CloseLoading();
		if (ret) {
			var json = JSON.parse(ret);
			if (json) {
				if (json.exceptionCode == "0000") {
					var data = JSON.parse(json.responseData);
					var shbz = data.shbz;
					if (data.shbz == "2") {
						//执行方法
					} else {
						api.confirm({
							msg : "您的个人信息尚未完善或审核,如有问题请咨询客服.",
							buttons : ['拨打客服热线', '取消']
						}, function(ret, err) {
							if (ret.buttonIndex == 1) {
								window.location.href = "tel:4006779688";
								api.closeWin({
									name : closeWinName
								});
							} else {
								api.closeWin({
									name : closeWinName
								});
							}
						});
					}
				} else {
					api.alert({
						"msg" : json.exceptionContent
					});
				}
			} else {
				api.alert({
					"msg" : "JOSN解析错误"
				});
			}
		} else {
			api.alert({
				"msg" : "网络错误"
			});
		}
	});

}

function Car_open_login_windowIndex(name) {
	api.openWin({
		name : 'login',
		url : './html/login/login.html',
		rect : {
			x : 0,
			y : 0,
			w : 'auto',
			h : 'auto'
		},
		bounces : false,
		delay : 200
	});
}

function Car_confirmLoginIndex() {
	var userToken = $api.getStorage("userToken");
	if (userToken == "" || userToken == null) {
		api.execScript({
			name : 'root',
			script : 'updateFooter("0");'
		});

		var dialogBox = api.require('dialogBox');
		dialogBox.alert({
			texts : {
				title : '确认',
				content : '您是游客状态,是否登录?',
				leftBtnTitle : '取消',
				rightBtnTitle : '登录'
			},
			styles : {
				bg : '#fff',
				w : 300,
				title : {
					marginT : 20,
					icon : 'widget://res/gou.png',
					iconSize : 20,
					titleSize : 14,
					titleColor : '#000'
				},
				content : {
					color : '#000',
					size : 14
				},
				left : {
					marginB : 7,
					marginL : 20,
					w : 130,
					h : 35,
					corner : 2,
					bg : '#fff',
					size : 12
				},
				right : {
					marginB : 7,
					marginL : 10,
					w : 130,
					h : 35,
					corner : 2,
					bg : '#fff',
					size : 12
				}
			}
		}, function(ret) {
			var dialogBox = api.require('dialogBox');
			dialogBox.close({
				dialogName : 'alert'
			});
			if (ret.eventType == 'left') {
				return false;
			} else {
				Car_open_login_windowIndex();
				return true;
			}
		});

		//		api.confirm({
		//			msg : "您还没有登录,请您登录",
		//			buttons : ['确定', '取消']
		//		}, function(ret, err) {
		//			if (ret.buttonIndex == 1) {
		//				Car_open_login_windowIndex();
		//				return true;
		//			} else {
		//				return false;
		//			}
		//		});
	} else {
		return true;
	}
}

function showTip(msg) {
	api.alert({
		"msg" : msg
	});
}

//时间
function getNowFormatDate(date) {
	var seperator1 = "-";
	var seperator2 = ":";
	var month = date.getMonth() + 1;
	var strDate = date.getDate();
	if (month >= 1 && month <= 9) {
		month = "0" + month;
	}
	if (strDate >= 0 && strDate <= 9) {
		strDate = "0" + strDate;
	}
	var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate + " " + date.getHours() + seperator2 + date.getMinutes() + seperator2 + date.getSeconds();
	return currentdate;
}

//动态加载js文件
function LoadJS(file) {
	var head = document.getElementsByTagName('HEAD').item(0);
	var script = document.createElement('SCRIPT');
	script.src = file;
	script.type = "text/javascript";
	head.appendChild(script);
}

//判断文件是否存在
function testFile() {
	api.ajax({
		url : serverPicPath + '201501/XJD20150117000526190/1457938090123.jpg',
		method : 'post'
	}, function(ret, err) {
		if (ret) {
			alert("文件存在");
		} else {
			alert("文件不存在");
		}
	});

}

//判断图片是否存在
function CheckImgExists(imgurl) {
	var ImgObj = new Image();
	//判断图片是否存在
	alert(serverPicPath + '201501/XJD20150117000526190/1457938090123.jpg');
	ImgObj.src = serverPicPath + '201501/XJD20150117000526190/1457938090123.jpg';
	//没有图片，则返回-1
	if (ImgObj.fileSize > 0 || (ImgObj.width > 0 && ImgObj.height > 0)) {
		return true;
	} else {
		return false;
	}
}

//将源数据中的'、"、\\、空格、换行等都替换成转义符，这样你拼接的json数据就是正常的，显示出来格式和数据库中的一样。
function jsonFilter(v) {
	if (v.indexOf("\"") != -1) {
		v = v.toString().replace(new RegExp('(["\"])', 'g'), "\\\"");
	} else if (v.indexOf("\\") != -1) {
		v = v.toString().replace(new RegExp("([\\\\])", 'g'), "\\\\");
	}

	return v;
}

//转译json字符串,替换字符串中的"和|为&和^;
function encodeJsonStr(jsonStr) {
	return jsonStr.replace(/"/g, "&").replace(/\n/, "").replace(/\r/, "").replace(/\n\r/, "");
}

//转译json字符串,替换字符串中的&和|为"和';
function decodeJsonStr(jsonStr) {
	return jsonStr.replace(/&/g, "\"");
}

function clearSelectedPjs() {
	//通过localStorage记录配件商信息
	$api.setStorage("selectedPjsId", "");
	$api.setStorage("selectedPjsCompanyName", "");
	$api.setStorage("selectedPjsPhone", "");
	$api.setStorage("selectedPjsTelephone", "");

}

//监听网络状况
function getNetStatus() {
	var connectType = api.connectionType;
	if (connectType == "none") {
		setTimeout('Car_openNewWindow("netError", "./html/netError/netError.html");', 2000);
	} else if (connectType != "wifi") {
		api.toast({
			msg : '您正在使用非wifi网络进行访问，可能会产生额外的资费.',
			duration : 2500,
			location : 'middle'
		});
	}
}

var isDebug = false;

//获取滚动条当前的位置
function getScrollTop() {
	var scrollTop = 0;
	if (document.documentElement && document.documentElement.scrollTop) {
		scrollTop = document.documentElement.scrollTop;
	} else if (document.body) {
		scrollTop = document.body.scrollTop;
	}
	return scrollTop;
}

//获取当前可是范围的高度
function getClientHeight() {
	var clientHeight = 0;
	if (document.body.clientHeight && document.documentElement.clientHeight) {
		clientHeight = Math.min(document.body.clientHeight, document.documentElement.clientHeight);
	} else {
		clientHeight = Math.max(document.body.clientHeight, document.documentElement.clientHeight);
	}
	return clientHeight;
}

//获取文档完整的高度
function getScrollHeight() {
	return Math.max(document.body.scrollHeight, document.documentElement.scrollHeight);
}

//获取当前时间
function getNowFormatDate(date) {
	var seperator1 = "-";
	var seperator2 = ":";
	var month = date.getMonth() + 1;
	var strDate = date.getDate();
	if (month >= 1 && month <= 9) {
		month = "0" + month;
	}
	if (strDate >= 0 && strDate <= 9) {
		strDate = "0" + strDate;
	}
	var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate;
	return currentdate;
}

//获得上个月在昨天这一天的日期
function getLastMonthYestdy(date) {
	var daysInMonth = new Array([0], [31], [28], [31], [30], [31], [30], [31], [31], [30], [31], [30], [31]);
	var strYear = date.getFullYear();
	var strDay = date.getDate();
	var strMonth = date.getMonth() + 1;
	if (strYear % 4 == 0 && strYear % 100 != 0) {
		daysInMonth[2] = 29;
	}
	if (strMonth - 1 == 0) {
		strYear -= 1;
		strMonth = 12;
	} else {
		strMonth -= 1;
	}
	strDay = daysInMonth[strMonth] >= strDay ? strDay : daysInMonth[strMonth];
	if (strMonth < 10) {
		strMonth = "0" + strMonth;
	}
	if (strDay < 10) {
		strDay = "0" + strDay;
	}
	datastr = strYear + "-" + strMonth + "-" + strDay;
	return datastr;
}

//提示用户信息
function errorTip(msg) {
	api.toast({
		"msg" : msg,
		"duration" : 2000,
		"location" : "middle"
	});

}

//阿拉伯数字转汉字
function numberConver2Chinese(num) {
	if (!/^\d*(\.\d*)?$/.test(num)) {
		return false;
	}
	var AA = new Array("零", "一", "二", "三", "四", "五", "六", "七", "八", "九");
	var BB = new Array("", "十", "百", "千", "万", "亿", "", "");
	var a = ("" + num).replace(/(^0*)/g, "").split("."), k = 0, re = "";
	for (var i = a[0].length - 1; i >= 0; i--) {
		switch(k) {
			case 0 :
				re = BB[7] + re;
				break;
			case 4 :
				if (!new RegExp("0{4}\\d{" + (a[0].length - i - 1) + "}$").test(a[0]))
					re = BB[4] + re;
				break;
			case 8 :
				re = BB[5] + re;
				BB[7] = BB[5];
				k = 0;
				break;
		}
		if (k % 4 == 2 && a[0].charAt(i) == "0" && a[0].charAt(i + 2) != "0")
			re = AA[0] + re;
		if (a[0].charAt(i) != 0)
			re = AA[a[0].charAt(i)] + BB[k % 4] + re;
		k++;
	}
	if (a.length > 1) {
		re += BB[6];
		for (var i = 0; i < a[1].length; i++)
			re += AA[a[1].charAt(i)];
	}
	if (re.substring(0, 2) == "一十") {
		re = re.replace(re.substring(0, 2), "十");
	}
	if (re.length == 3 && re.charAt(1) == "百") {
		re = re.replace(re.charAt(1), "百零");
	}
	return re;
}

function callInput(ele) {
	if ((ele.value && ele.value != "") || (ele.innerHTML && ele.innerHTML != "")) {
		var phone = ele.value || ele.innerHTML;
		if (phone == "电话为空") {
			return;
		}
		location.href = "tel:" + phone;
		window.event.stopPropagation();
	}
}

//计算距离当前的时间
function showTime(htimeStr) {
	if (htimeStr == null || htimeStr == '') {
		return;
	}
	var end_str = (htimeStr).replace(/-/g, "/");
	var class_time = new Date(end_str);
	//将时间字符串转换为时间.
	var now_time = new Date();
	var totalSecs = (now_time - class_time) / 1000;
	//获得两个时间的总毫秒数. 靠前的就调换再减。
	var days = Math.floor(totalSecs / 3600 / 24);
	var hours = Math.floor((totalSecs - days * 24 * 3600) / 3600);
	var mins = Math.floor((totalSecs - days * 24 * 3600 - hours * 3600) / 60);
	var secs = Math.floor((totalSecs - days * 24 * 3600 - hours * 3600 - mins * 60));

	var returnStr = "";
	if (days > 365) {
		returnStr = days % 365 + "年前";
	} else if (days > 30) {
		returnStr = days % 30 + "月前";
	} else if (days > 0) {
		returnStr = days + "天前";
	} else if (hours == 0 && mins == 0) {
		returnStr = "刚刚";
	} else if (hours == 0 && mins != 0) {
		returnStr = mins + "分钟前";
	} else if (hours != 0) {
		returnStr = hours + "小时前";
	}
	return returnStr;
}

//初始化日期
function initDate(from, to) {
	var currYear = (new Date()).getFullYear();
	var opt = {};
	opt.date = {
		preset : 'date'
	};
	opt.datetime = {
		preset : 'datetime'
	};
	opt.time = {
		preset : 'time'
	};
	opt.default = {
		theme : 'android-ics light', //皮肤样式
		display : 'modal', //显示方式
		mode : 'scroller', //日期选择模式
		dateFormat : 'yyyy-mm-dd',
		lang : 'zh',
		showNow : true,
		nowText : "今天",
		startYear : currYear - 10, //开始年份
		endYear : currYear + 10 //结束年份
	};
	$("#" + from).mobiscroll($.extend(opt['date'], opt['default']));
	$("#" + to).mobiscroll($.extend(opt['date'], opt['default']));
	var optDateTime = $.extend(opt['datetime'], opt['default']);
	var optTime = $.extend(opt['time'], opt['default']);
}

//一键拨打
function callSomeoneByPhone(ele) {
	var tel = ele.innerHTML;
	if (tel && tel != "") {
		location.href = "tel:" + tel;
	}
}

//验证输入价格
function checkPriceInput(ele) {
	if (isNaN(ele.value) || parseFloat(ele.value) < 0) {
		errorTip("请输入正确的数字.");
		ele.value = "";
		ele.focus();
	}
}

//判断字符创字符长度
function getByteLen(val) {
    var len = 0;
    for (var i = 0; i < val.length; i++) {
       var length = val.charCodeAt(i);
       if(length>=0&&length<=128)
        {
            len += 1;
        }
        else
        {
            len += 2;
        }
    }
    return len;
}
