function initTabBar() {
	//先关闭之前打开的菜单
	var NVTabBar = api.require('NVTabBar');
	NVTabBar.close();
	var userType = $api.getStorage("userType");
	switch(userType){
		case '2' : 
			sellerBar();
			break;
		case '3' :
			repairBar(); 
			break;
		case '6' :
			companyBar();
			break; 
		case '8' :
			repairBar();
			break; 
		default  : 
//			repairBar();
			defaultBar();
			
	}
}

function repairBar(){
	var NVTabBar = api.require('NVTabBar');
	NVTabBar.open({
		styles : {
			bg : '#F9F9F9',
			h : 56,
			dividingLine : {
				width : 0.5,
				color : '#bbbbbb'
			},
			badge : {
				bgColor : '#ff0',
				numColor : '#fff',
				size : 6.0
			}
		},
		items : [{
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/index_normal.png',
				highlight : 'widget://res/tabBarMenu/index_selected.png',
				selected : 'widget://res/tabBarMenu/index_selected.png'
			},
			title : {
				text : '首页',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/bottombar_btn_pic_n.png',
				highlight : 'widget://res/tabBarMenu/bottombar_btn_pic_s.png',
				selected : 'widget://res/tabBarMenu/bottombar_btn_pic_s.png'
			},
			title : {
				text : '图片询价',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : 15,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 48.0,
				h : 48.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/bottombar_btn_list_n.png',
				highlight : 'widget://res/tabBarMenu/bottombar_btn_list_s.png',
				selected : 'widget://res/tabBarMenu/bottombar_btn_list_s.png'
			},
			title : {
				text : '保险下单',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/enquiry_normal.png',
				highlight : 'widget://res/tabBarMenu/enquiry_selected.png',
				selected : 'widget://res/tabBarMenu/enquiry_selected.png'
			},
			title : {
				text : '询价采购',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/me_normal.png',
				highlight : 'widget://res/tabBarMenu/me_selected.png',
				selected : 'widget://res/tabBarMenu/me_selected.png'
			},
			title : {
				text : '我的',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}],
		selectedIndex : 0
	}, function(ret, err) {
		//菜单最上层
		var NVTabBa2r = api.require('NVTabBar');
		NVTabBa2r.bringToFront();
		if (ret) {
			var index = ret.index;
			if(1==1){
				var name = "";
				var url = "";
				var txt = "";
				var pageParamStr = "";
				switch(index){
					case 0:
						name = "index";
						url = "html/index/index.html";
						txt = "首页";
						break;
					case 1:
						name = "imgEnquiryCarBrand_body";
						url = "html/imgEnquiry/imgEnquiryCarBrand_body.html";
						txt = "图片询价";
						break;
					case 2:
						name = "bxxd";
						url = "html/bxxd/bxxd.html";
						txt = "保险下单";
						break;
					case 3:
						name = "carbrand";
						url = "html/carset/carbrand.html";
						txt = "询价采购";
						break;
					case 4:
						name = "me";
						url = "html/me/me.html";
						txt = "我的";
						break;
				}
				
				if(name && txt){
					if(pageParamStr && pageParamStr!=""){
						api.execScript({
				            name:"root",
				            script: "clickMenuItem('"+name+"','"+url+"', '"+txt+"','"+index+"','"+pageParamStr+"');"
			            });
		            }
		            else{
		            	api.execScript({
				            name:"root",
				            script: "clickMenuItem('"+name+"','"+url+"', '"+txt+"','"+index+"');"
			            });
		            }
	            }
	            
	            
            }
		}
	});
}

function sellerBar(){
	var NVTabBar = api.require('NVTabBar');
	NVTabBar.open({
		styles : {
			bg : '#F9F9F9',
			h : 56,
			dividingLine : {
				width : 0.5,
				color : '#bbbbbb'
			},
			badge : {
				bgColor : '#ff0',
				numColor : '#fff',
				size : 6.0
			}
		},
		items : [{
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/index_normal.png',
				highlight : 'widget://res/tabBarMenu/index_selected.png',
				selected : 'widget://res/tabBarMenu/index_selected.png'
			},
			title : {
				text : '首页',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/confrim_normal.png',
				highlight : 'widget://res/tabBarMenu/confrim_selected.png',
				selected : 'widget://res/tabBarMenu/confrim_selected.png'
			},
			title : {
				text : '待确认',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : 15,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 48.0,
				h : 48.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/quote2_normal.png',
				highlight : 'widget://res/tabBarMenu/quote2_selected.png',
				selected : 'widget://res/tabBarMenu/quote2_selected.png'
			},
			title : {
				text : '报价',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/logistics_normal.png',
				highlight : 'widget://res/tabBarMenu/logistics_selected.png',
				selected : 'widget://res/tabBarMenu/logistics_selected.png'
			},
			title : {
				text : '待发货',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/me_normal.png',
				highlight : 'widget://res/tabBarMenu/me_selected.png',
				selected : 'widget://res/tabBarMenu/me_selected.png'
			},
			title : {
				text : '我的',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}],
		selectedIndex : 0
	}, function(ret, err) {
		//菜单最上层
		var NVTabBa2r = api.require('NVTabBar');
		NVTabBa2r.bringToFront();
		if (ret) {
			var index = ret.index;
			if(1==1){
				var name = "";
				var url = "";
				var txt = "";
				var pageParamStr = "";
				//{frameIndex : index}
				switch(index){
					case 0:
						name = "index";
						url = "html/index/index.html";
						txt = "首页";
						break;
					case 1:
						name = "mySalesOrderList_body";
						url = "html/salesOrders/mySalesOrderList_body.html";
						pageParamStr = "{\"frameIndex\":\"1\"}";
						txt = "待确认";
						break;
					case 2:
						name = "myQuote_list_body";
						url = "html/me/myQuote_list_body.html";
						txt = "报价";
						pageParamStr = "{\"frameIndex\":\"1\"}";
						break;
					case 3:
						name = "mySalesOrderList_body";
						url = "html/salesOrders/mySalesOrderList_body.html";
						pageParamStr = "{\"frameIndex\":\"3\"}";
						txt = "待发货";
						break;
					case 4:
						name = "me";
						url = "html/me/me.html";
						txt = "我的";
						break;
				}
				
				if(name && txt){
					if(pageParamStr && pageParamStr!=""){
						api.execScript({
				            name:"root",
				            script: "clickMenuItem('"+name+"','"+url+"', '"+txt+"','"+index+"','"+pageParamStr+"');"
			            });
		            }
		            else{
		            	api.execScript({
				            name:"root",
				            script: "clickMenuItem('"+name+"','"+url+"', '"+txt+"','"+index+"');"
			            });
		            }
	            }
	            
            }
		}
	});
}


function companyBar(){
	var NVTabBar = api.require('NVTabBar');
	NVTabBar.open({
		styles : {
			bg : '#F9F9F9',
			h : 56,
			dividingLine : {
				width : 0.5,
				color : '#bbbbbb'
			},
			badge : {
				bgColor : '#ff0',
				numColor : '#fff',
				size : 6.0
			}
		},
		items : [{
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/index_normal.png',
				highlight : 'widget://res/tabBarMenu/index_selected.png',
				selected : 'widget://res/tabBarMenu/index_selected.png'
			},
			title : {
				text : '首页',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		},{
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/bottombar_btn_pic_n.png',
				highlight : 'widget://res/tabBarMenu/bottombar_btn_pic_s.png',
				selected : 'widget://res/tabBarMenu/bottombar_btn_pic_s.png'
			},
			title : {
				text : '图片询价',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		},  {
			w : api.winWidth / 5.0,
			bg : {
				marginB : 15,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 48.0,
				h : 48.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/enquiry2_normal.png',
				highlight : 'widget://res/tabBarMenu/enquiry2_selected.png',
				selected : 'widget://res/tabBarMenu/enquiry2_selected.png',
			},
			title : {
				text : '询价',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/historyEnquiry_normal.png',
				highlight : 'widget://res/tabBarMenu/historyEnquiry_selected.png',
				selected : 'widget://res/tabBarMenu/historyEnquiry_selected.png'
			},
			title : {
				text : '询价单',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/me_normal.png',
				highlight : 'widget://res/tabBarMenu/me_selected.png',
				selected : 'widget://res/tabBarMenu/me_selected.png'
			},
			title : {
				text : '我的',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}],
		selectedIndex : 0
	}, function(ret, err) {
		//菜单最上层
		var NVTabBa2r = api.require('NVTabBar');
		NVTabBa2r.bringToFront();
		if (ret) {
			var index = ret.index;
			if(1==1){
				var name = "";
				var url = "";
				var txt = "";
				switch(index){
					case 0:
						name = "index";
						url = "html/index/index.html";
						txt = "首页";
						break;
					case 1:
						name = "imgEnquiryCarBrand_body";
						url = "html/imgEnquiry/imgEnquiryCarBrand_body.html";
						txt = "图片询价";
						break;
					case 2:
						name = "carbrand";
						url = "html/carset/carbrand.html";
						txt = "询价";
						break;
					case 3:
						name = "wdxjd_list_body";
						url = "html/me/wdxjd_list_body.html";
						txt = "询价单";
						break;
					case 4:
						name = "me";
						url = "html/me/me.html";
						txt = "我的";
						break;
				}
				
				if(name && txt){
					api.execScript({
			            name:'root',
			            script: 'clickMenuItem("'+name+'","'+url+'", "'+txt+'","'+index+'");'
		            });
	            }
            }
		}
	});
}


function defaultBar(){
	var NVTabBar = api.require('NVTabBar');
	NVTabBar.open({
		styles : {
			bg : '#F9F9F9',
			h : 56,
			dividingLine : {
				width : 0.5,
				color : '#bbbbbb'
			},
			badge : {
				bgColor : '#ff0',
				numColor : '#fff',
				size : 6.0
			}
		},
		items : [{
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/index_normal.png',
				highlight : 'widget://res/tabBarMenu/index_selected.png',
				selected : 'widget://res/tabBarMenu/index_selected.png'
			},
			title : {
				text : '首页',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/call_normal.png',
				highlight : 'widget://res/tabBarMenu/call_selected.png',
				selected : 'widget://res/tabBarMenu/call_selected.png'
			},
			title : {
				text : '客服',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : 15,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 48.0,
				h : 48.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/jmLogo.png',
				highlight : 'widget://res/tabBarMenu/jmLogo.png',
				selected : 'widget://res/tabBarMenu/jmLogo.png'
			},
			title : {
				text : '',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/news_normal.png',
				highlight : 'widget://res/tabBarMenu/news_selected.png',
				selected : 'widget://res/tabBarMenu/news_selected.png'
			},
			title : {
				text : '资讯',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}, {
			w : api.winWidth / 5.0,
			bg : {
				marginB : -5,
				image : 'rgba(0,0,0,0)'
			},
			iconRect : {
				w : 25.0,
				h : 25.0,
			},
			icon : {
				normal : 'widget://res/tabBarMenu/me_normal.png',
				highlight : 'widget://res/tabBarMenu/me_selected.png',
				selected : 'widget://res/tabBarMenu/me_selected.png'
			},
			title : {
				text : '我的',
				size : 12.0,
				normal : '#696969',
				selected : '#E95513',
				marginB : 6.0
			}
		}],
		selectedIndex : 0
	}, function(ret, err) {
		//菜单最上层
		var NVTabBa2r = api.require('NVTabBar');
		NVTabBa2r.bringToFront();
		if (ret) {
			var index = ret.index;
			if(1==1){
				var name = "";
				var url = "";
				var txt = "";
				switch(index){
					case 0:
						name = "index";
						url = "html/index/index.html";
						txt = "首页";
						break;
					case 1:
						location.href = "tel:4006779688";
						return;
						break;
					case 2:
						return;
						break;
					case 3:
						name = "publicList_body";
						url = "html/public/publicList_body.html";
						txt = "资讯";
						break;
					case 4:
						Car_openNewWindow("login","html/login/login.html");
						return;
						break;
				}
				
				if(name && txt){
					api.execScript({
			            name:'root',
			            script: 'clickMenuItem("'+name+'","'+url+'", "'+txt+'","'+index+'");'
		            });
	            }
            }
		}
	});
}


function setTabBarSelect(index){
	var NVTabBar = api.require('NVTabBar');
	NVTabBar.setSelect({
	    index: index
	});
}