var wait = 60;
function waitTime(o) {
	if (wait == 0) {
		$(o).attr("onclick", "preSendSms()");
		o.innerHTML = '发送验证码';
		wait = 60
	} else {
		$(o).attr("onclick", "null");
		o.innerHTML = "" + wait + "S";
		wait--;
		setTimeout(function() {
			waitTime(o)
		}, 1000)
	}
}

function preSendSms() {
	var mb = mb = document.getElementById("mb").value;
	
	if (!mb || mb == "") {
		api.toast({
			"msg" : "手机号不能为空",
			"duration" : 2000,
			"location" : "middle"
		});
		return
	}
	if (mb.length != 11) {
		api.toast({
			"msg" : "请输入正确的手机号",
			"duration" : 2000,
			"location" : "middle"
		});
		return
	}
	Car_ShowLoading();
	var param = '{"code": "10051","data": {"telephone":"' + mb + '"}}';
	api.ajax({
		url : ajaxURL,
		method : 'post',
		timeout : 30,
		dataType : 'text',
		returnAll : false,
		data : {
			values : {
				param : param
			}
		}
	}, function(ret, err) {
		Car_CloseLoading();
		if (ret) {
			var json = JSON.parse(ret);
			if (json) {
				if (json.exceptionCode == "0000") {
					var data = JSON.parse(json.responseData);
					if (!data || data == null) {
						return
					}
					var ciphertext = data.desCode;
					var key = 'LmMGStGtOpF4xNyvYt54EQ==';
					var plaintext = decryptByDES(ciphertext, key);
					sendSms(plaintext,mb);
				} else {
					api.alert({
						"msg" : json.exceptionContent
					})
				}
			} else {
				api.alert({
					"msg" : "JOSN解析错误"
				})
			}
		} else {
			api.alert({
				"msg" : "网络错误"
			})
		}
	})
}

function sendSms(plaintext,mb) {
//	var mb = document.getElementById("mb").value;
	if (!mb || mb == "") {
		api.toast({
			"msg" : "手机号不能为空",
			"duration" : 2000,
			"location" : "middle"
		});
		return
	}
	if (mb.length != 11) {
		api.toast({
			"msg" : "请输入正确的手机号",
			"duration" : 2000,
			"location" : "middle"
		});
		return
	}
	var param = '{"code": "1005","data": {"telephone":"' + mb + '","authSmsCode":"' + plaintext + '"}}';
	api.ajax({
		url : ajaxURL,
		method : 'post',
		timeout : 30,
		dataType : 'text',
		returnAll : false,
		data : {
			values : {
				param : param
			}
		}
	}, function(ret, err) {
		if (ret) {
			var json = JSON.parse(ret);
			if (json) {
				if (json.exceptionCode == "0000") {
					api.toast({
						"msg" : "发送成功",
						"duration" : 2000,
						"location" : "middle"
					});
					var btn = document.getElementById("sendSmsBtn");
					waitTime(btn)
				} else {
					api.toast({
						"msg" : "发送失败",
						"duration" : 2000,
						"location" : "middle"
					});
					api.alert({
						"msg" : json.exceptionContent
					})
				}
			} else {
				api.alert({
					"msg" : "JOSN解析错误"
				})
			}
		} else {
			api.alert({
				"msg" : "网络错误"
			})
		}
	})
}