function getMessageBySpeech() {
	try {
		document.getElementById("speechMotion").style.display = "block";
		var speechRecognizer = api.require('speechRecognizer');
		speechRecognizer.record({
			vadbos : 3000,
			vadeos : 2000,
			rate : 16000,
			asrptt : 0
		}, function(ret, err) {
			document.getElementById("speechMotion").style.display = "none";
			if (ret.status) {
				if (ret.wordStr) {
					document.getElementById("speechMsg").innerHTML = ret.wordStr;
					document.getElementById("btn_voice").style.display = "none";
					fromCallBack(ret.wordStr);				
//					setTimeout("closeSpeechFrame();",1200);
				} else {
					document.getElementById("speechMsg").innerHTML = "未检测达到您的语音内容，请重试";
					document.getElementById("btn_voice").style.display = "block";
				}
			} else {
				document.getElementById("speechMsg").innerHTML = "未检测达到您的语音内容，请重试";
				document.getElementById("btn_voice").style.display = "block";
			}
		});
	} catch(e) {
		alert("异常");
	}
}

function again() {
	document.getElementById("btn_voice").style.display = "none";
	document.getElementById("speechMsg").innerHTML = "语音识别";
	getMessageBySpeech();
}

function fromCallBack(keyWord){
	switch(fromFrame){
		 case "cgxj":
			api.execScript({
	            name:'cgxj',
	            frameName:'cgxj_body',
	            script: 'speechRecognize("'+keyWord+'");'
            });
			break;
		 case "pjsList":
			api.execScript({
	            name:'pjsList',
	            frameName:'pjsList_body',
	            script: 'setPjsValue("'+keyWord+'");'
            });
            break;
         case "carbrand":
        	api.execScript({
	            name:'carbrand',
	            frameName:'carbrand_body',
	            script: 'setBrandValue("'+keyWord+'");'
            });
            api.execScript({
	            name:'root',
	            frameName:'carbrand_body',
	            script: 'setBrandValue("'+keyWord+'");'
            });
            break;
         case "moreCarBrand":
        	api.execScript({
	            name:'moreCarBrand',
	            frameName:'moreCarBrand_body',
	            script: 'setBrandValue("'+keyWord+'");'
            });
            break;
         case "fastCarBrand":
        	api.execScript({
	            name:'carbrand',
	            frameName:'fastCarbrand_body',
	            script: 'setBrandValue("'+keyWord+'");'
            });
            api.execScript({
	            name:'root',
	            frameName:'fastCarbrand_body',
	            script: 'setBrandValue("'+keyWord+'");'
            });
            break;
         case "searchList":
            api.execScript({
	            name:'searchList',
	            script: 'setKeyWord("'+keyWord+'");'
            });
            break;
         case "imgEnquiryCarBrand":
        	api.execScript({
        		name:'root',
	            frameName:'imgEnquiryCarBrand_body',
	            script: 'setBrandValue("'+keyWord+'");'
            });
            break;
        
    }
    closeSpeechFrame();
}


//addPart(partName)
var fromFrame = "";
function openSpeechFrame(from) {
	api.closeFrame({
		name : "speechRecognizer"
	});
	var frameHeight = api.frameHeight;
	var yy = frameHeight * 2 / 3;
	api.openFrame({
		name : "speechRecognizer",
		url : '../common/speechRecognizer.html',
		rect : {
			x : 0,
			y : yy,
			w : 'auto',
			h : 'auto'
		},
		animation : {
			type : "movein",
			subType : "from_bottom",
			duration : 300
		},
		pageParam : {
			from : from
		},
		bounces : false,
		delay : 200
	});
	
}

function closeSpeechFrame() {
	api.closeFrame({
		name : "speechRecognizer"
	});
}