
function showText(ret) {
   errorTip(ret);
}

var SuperID;
apiready = function() {
   
}

function login() {
	SuperID = api.require('superID');
	SuperID.registerApp();
    SuperID.obtainLoginView(loginCallBack);
}

function loginCallBack(ret, err) {
	alert(JSON.stringify(ret));
    var msg = "登录成功：" + ret.userInfo.name;
    api.toast({
        msg: msg
    });
    showText(ret || err);
    api.setPrefs({
        key: 'uid',
        value: ret.uid
    });
    superID.registerApp();
	superID.cancelAuthorization(function(ret, err) {
	    api.toast({
	        msg: ret.Msg
	    });
	});
}
function bindUserFaceInfo(){
	alert("退出");
	SuperID = api.require('superID');
    SuperID.logoutCurrentAccount(logoutCallBack2);
    
}

function logoutCallBack2(ret, err) {
    alert(JSON.stringify(ret));
    alert(JSON.stringify(err));
    api.removePrefs({
        key: 'uid'
    });
    showText(ret || err);
    superID.registerApp();
	superID.cancelAuthorization(function(ret, err) {
	    api.toast({
	        msg: ret.Msg
	    });
	});
    login();
}



function superIdLogout() {
	alert("退出");
	SuperID = api.require('superID');
    SuperID.logoutCurrentAccount(logoutCallBack);
}

function logoutCallBack(ret, err) {
    alert(JSON.stringify(ret));
    alert(JSON.stringify(err));
    api.removePrefs({
        key: 'uid'
    });
    showText(ret || err);
}


function faceFeature() {
	SuperID = api.require('superID');
    SuperID.obtainFaceFeatureView(faceFeatureCallBack);
}

function faceFeatureCallBack(ret, err) {
    showText(ret || err);
}

function cancelAuth() {
	SuperID = api.require('superID');
    SuperID.cancelAuthorization(cancelCallBack);
}

function cancelCallBack(ret, err) {
    showText(ret || err);
}

function status() {
    api.getPrefs({
        key: 'uid'
    }, function(ret, err) {
    	SuperID = api.require('superID');
        SuperID.queryUserState({
            uid: ret.value
        }, statusCallBack);
    });
}



function statusCallBack(ret, err) {
    showText(ret || err);
}

function updateUid() {
	SuperID = api.require('superID');
    var uid = document.getElementById("uid").value;
    SuperID.updateAppUid({
        uid: uid
    }, updateUidCallBack);
    api.setPrefs({
        key: 'uid',
        value: uid
    });
}

function updateUidCallBack(ret, err) {
    showText(ret || err);
}

function updateInfo() {
    var name = document.getElementById("info").value;
    var info = {};
    info.name = name;
    SuperID = api.require('superID');
    SuperID.updateAppUserInfo({
        info: info
    }, updateInfoCallBack);
}

function updateInfoCallBack(ret, err) {
    showText(ret || err);
}
