//初始化极光推送服务
var ajpush = null;
function initJpush() {
	if (!isDebug) {
		try {
			ajpush = api.require('ajpush');
			var systemType = api.systemType;
			if (systemType === 'android') {
				ajpush.init(function(ret, err) {
					if (ret && ret.status) {
//						alert("Ajpush初始化成功");
					} else {
					}
				});
			}
		}
		catch(e){
		}
	}
}

function getRegistrationId() {
	if (ajpush) {
		ajpush.getRegistrationId(function(ret) {
			var registrationId = ret.id;
			alert(registrationId);
		});
	}
}

function bindAjpushAlias(alias) {
	if (ajpush) {
		var aliasStr = "Jpush" + alias;
		var param = {
			alias : aliasStr
		};
		ajpush.bindAliasAndTags(param, function(ret) {
			if (ret) {
			}
		});
	} else {
		
	}
}

//发送推送请求
//single点对点
function sendJpush(pushType, title, content, aliasArr,extra) {
	
	if (aliasArr && aliasArr.length > 0) {
		var aliasList = new Array();
		for (var i = 0; i < aliasArr.length; i++) {
			var newObj = new Object();
			newObj.alias = "Jpush" + aliasArr[i];
			aliasList.push(newObj);
		}
		aliasList = JSON.stringify(aliasList);
		Car_ShowLoading();
		var arrStr = JSON.stringify(aliasArr);
		var param = '{"code": "2222","data": {"pushType":"' + pushType + '", "title":"' + title + '", "content":"' + content + '", "aliasList":' + aliasList + ',"url":"'+extra+'"}}';
		api.ajax({
			url : ajaxURL,
			method : 'post',
			timeout : 30,
			dataType : 'text',
			returnAll : false,
			data : {
				values : {
					param : param
				}
			}
		}, function(ret, err) {
//			alert(ret);
			Car_CloseLoading();
			if (ret) {
				var json = JSON.parse(ret);
				if (json) {
					if (json.exceptionCode == "0000") {

					} else {

					}
				} else {

				}
			} else {

			}
		});
	}
}

function addJpushListener() {
	var systemType = api.systemType;
	ajpush = api.require('ajpush');
	//安卓设备
	if (systemType == 'android') {
		//点击推送的监听
		api.addEventListener({
			name : 'appintent'
		}, function(ret, err) {
			if(ret){
				jpushCallBack(ret);
			}
		});
	
	} else if (systemType == 'ios') {
		
		api.addEventListener({
			name : 'noticeclicked'
		}, function(ret, err) {
			if(ret){
				//清除数字
				ajpush.setBadge({
				    badge:0
				});
				jpushCallBack(ret);
			}		
		});
		
		ajpush.setListener(function(ret){
			if(ret){
				//清除数字
				ajpush.setBadge({
				    badge:0
				});
				jpushCallBack(ret);
			}		
		});
		
		//清除数字
		ajpush.setBadge({
		    badge:0
		});
	}
}

function jpushCallBack(ret){
	var winName = "";
	var winUrl = "";
	var systemType = api.systemType;
	if(systemType == 'android') {
		var ajpushObj = ret.appParam.ajpush;
    	var id = ajpushObj.id;
    	var title = ajpushObj.title;
	    var content = ajpushObj.content;
	    var extra = ajpushObj.extra;
	    extra = extra.replace(/\\/g,"");
	    extra = JSON.parse(extra);
	    winName = extra.winName;
	    winUrl = extra.winUrl;
    }
    else if(systemType == 'ios'){
    	var valueObj = ret.value;
    	var extra2 = valueObj.extra;
    	winName = extra2.winName;
	    winUrl = extra2.winUrl;
    }
    Car_openNewWindow(winName,winUrl,{});
	
}

function requestPushParam(pushKey, aliasArr) {
	if (pushKey && pushKey != "") {
		Car_ShowLoading();
		var param = '{"code": "2223","data": {"pushKey":"' + pushKey + '"}}';
		api.ajax({
			url : ajaxURL,
			method : 'post',
			timeout : 30,
			dataType : 'text',
			returnAll : false,
			data : {
				values : {
					param : param
				}
			}
		}, function(ret, err) {
			Car_CloseLoading();
			if (ret) {
				var json = JSON.parse(ret);
				if (json) {
					if (json.exceptionCode == "0000") {
						var param = JSON.parse(json.responseData);
						var title = param.title;
						var content = param.content;
						var extra = param.extra;
//						alert(title + "==" + content);

						if (title && title != "" && content && content != "") {
							sendJpush("single", title, content, aliasArr,extra);
						}
					} else {

					}
				} else {

				}
			} else {

			}
		});
	}
}

